%{?drupal7_find_provides_and_requires}

%global module taxonomy_access_fix

Name:          drupal7-%{module}
Version:       2.1
Release:       1%{?dist}
Summary:       Fixes the crooked access checks for Taxonomy pages

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz
Source1:       %{name}-RPM-README.txt

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: drupal7-rpmbuild >= 7.23-3

# Since Drupal 7 only requires PHP >= 5.2.5, we must must specify greater PHP min ver
Requires:      php(language) >= 5.3.0
# phpcompatinfo (computed from version 2.1)
# <none>

%description
This module:
* adds 1 permission per vocabulary: "add terms in X"
* changes the way vocabulary specific permissions are handled
* changes the Taxonomy admin pages' access checks
* alters the vocabularies overview table to show only what you have access to
  edit or delete

The module does what native Taxonomy lacks: more specific Taxonomy permissions
(and checking them correctly).

Note: In order to access the admin/structure/taxonomy page, you must first set
permissions for the desired vocabularies.

Note: A module can't add permissions to another module, so the extra "add terms
in X" permissions are located under "Taxonomy access fix" and not under
"Taxonomy".

This package provides the following Drupal module:
* %{module}


%prep
%setup -qn %{module}
cp -p %{SOURCE1} .

# Remove executable bit
chmod a-x LICENSE.txt


%build
# Empty build section, nothing to build


%install
rm -rf %{buildroot}
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc *.txt
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/*.txt


%changelog
* Thu Jun 26 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.1-1
- Updated to 2.1 (BZ #1101179; release notes https://www.drupal.org/node/2274235)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Feb 15 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.0-1
- Updated to 2.0 (BZ #1060000; release notes https://drupal.org/node/2152445)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 16 2013 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.1-2
- Updated for drupal7-rpmbuild 7.22-5

* Tue Mar 19 2013 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.1-1
- Initial package
